Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3682 closed project (fixed)

Add BSP for Xilinx Zynq UltraScale+ MPSoC platform

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: arch/arm Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The goal is to add RTEMS support for the Cortex-A53 processors in AArch32 mode. There are currently no plans to support the Cortex-R5 or the AArch64 mode.

Change History (7)

comment:1 Changed on 03/26/19 at 09:26:36 by Nils Hölscher

Hi,

I am interested in realizing this Project during GSoC 2019.
Hoping to find interested mentors.

Best,
Nils Hölscher

comment:2 Changed on 03/27/19 at 06:36:53 by Sebastian Huber

This project is probably too complex for a GSoC project. I am not available as a mentor.

comment:3 Changed on 04/11/19 at 05:29:34 by Jeff Kubascik <jeff.kubascik@…>

In [changeset:"b0c420b92fe2ace36e02ba63a6a07fb77e277059/rtems" b0c420b9/rtems]:

bsp/zynq-uart: Remove zynq_uart_instances from header

This variable is BSP specific and should be removed from the driver
header file.

Update #3682.

comment:4 Changed on 04/11/19 at 05:29:38 by Jeff Kubascik <jeff.kubascik@…>

In [changeset:"b0044305a635fcdb714e64f1d7c6ec85e5fc696e/rtems" b004430/rtems]:

bsp/zynq-uart: Move Zynq UART driver to shared directory

This driver will be shared with the xilinx-zynqmp BSP.

Update #3682.

comment:5 Changed on 04/11/19 at 05:29:42 by Jeff Kubascik <jeff.kubascik@…>

In [changeset:"677d5167ba6605036032a32744a904947f6a0dc2/rtems" 677d5167/rtems]:

bsp/xilinx-zynqmp: Stub out Xilinx MPSoC BSP

Source files were copied from xilinx-zynq.

Update #3682.

comment:6 Changed on 04/11/19 at 05:29:46 by Jeff Kubascik <jeff.kubascik@…>

In [changeset:"77f9a1be478b6b7fe265bb5db6c97fdf1670dc31/rtems" 77f9a1b/rtems]:

bsp/xilinx-zynqmp: Implement Ultra96 target

Modifications to get xilinx-zynqmp BSP working on an Ultra96 board.

Update #3682.

comment:7 Changed on 12/19/19 at 08:05:20 by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In [changeset:"c9f5e20d3168703ea1940e1ae70926e541eafdf9/rtems-docs" c9f5e20/rtems-docs]:

user: Mention xilinx-zynqmp BSP

Close #3682.

Note: See TracTickets for help on using tickets.